List lost and found reports
Newest first, up to 200, with how many are in each list. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
lost-found
List lost and found reports
curl --request GET \
--url https://{organization}.rescueconsole.com/api/lost-found \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/lost-found', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/lost-found"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"kind": "lost",
"species": "<string>",
"area": "<string>",
"happened_on": "2023-12-25",
"reporter": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"status": "pending",
"pet_name": "<string>",
"breed": "<string>",
"colors": "<string>",
"sex": "male",
"description": "<string>",
"zip": "<string>",
"has_photo": true,
"listed_at": "2023-11-07T05:31:56Z",
"matched_animal_id": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"close_note": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"counts": {
"pending": 123,
"listed": 123,
"closed": 123
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List lost and found reports
curl --request GET \
--url https://{organization}.rescueconsole.com/api/lost-found \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/lost-found', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/lost-found"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"kind": "lost",
"species": "<string>",
"area": "<string>",
"happened_on": "2023-12-25",
"reporter": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"status": "pending",
"pet_name": "<string>",
"breed": "<string>",
"colors": "<string>",
"sex": "male",
"description": "<string>",
"zip": "<string>",
"has_photo": true,
"listed_at": "2023-11-07T05:31:56Z",
"matched_animal_id": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"close_note": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"counts": {
"pending": 123,
"listed": 123,
"closed": 123
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
